Bug 10330 - autoconf build doesn't work with an old tevent system library
autoconf build doesn't work with an old tevent system library
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 12:06 UTC by Stefan Metzmacher
Modified: 2013-12-30 18:19 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v4-0-test (1.01 KB, patch)
2013-12-17 12:09 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-12-17 12:06:37 UTC
In file included from lib/events.c:22:0:
./../lib/tevent/tevent_internal.h:263:3: error: unknown type name 'tevent_trace_callback_t' 
./../lib/tevent/tevent_internal.h:345:11: warning: 'enum tevent_trace_point' declared inside parameter list [enabled by
+default]
./../lib/tevent/tevent_internal.h:345:11: warning: its scope is only this definition or declaration, which is probably not
+what you want [enabled by default]
lib/events.c: In function 's3_event_loop_once':
lib/events.c:313:34: error: 'TEVENT_TRACE_BEFORE_WAIT' undeclared (first use in this function)
lib/events.c:313:34: note: each undeclared identifier is reported only once for each function it appears in
lib/events.c:313:2: error: type of formal parameter 2 is incomplete
lib/events.c:316:34: error: 'TEVENT_TRACE_AFTER_WAIT' undeclared (first use in this function)
Comment 1 Stefan Metzmacher 2013-12-17 12:09:40 UTC
Created attachment 9529 [details]
Patch for v4-0-test
Comment 2 Karolin Seeger 2013-12-18 18:35:25 UTC
Pushed to autobuild-v4-0-test.
Comment 3 Karolin Seeger 2013-12-30 18:19:41 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!